# Class IncompatibleThreadStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.jdi.IncompatibleThreadStateException

All Implemented Interfaces:
  `Serializable`

public class IncompatibleThreadStateException extends Exception
Thrown to indicate that the requested operation cannot be completed while the specified thread is in its current state.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IncompatibleThreadStateException()`
`IncompatibleThreadStateException(String s)`

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IncompatibleThreadStateException

public IncompatibleThreadStateException()

### IncompatibleThreadStateException

public IncompatibleThreadStateException(String s)